## oscpack 1.0.2

=== Makefile ===
# should be either OSC_HOST_BIG_ENDIAN or OSC_HOST_LITTLE_ENDIAN
# Apple Mac OS X: OSC_HOST_BIG_ENDIAN
# Win32: OSC_HOST_LITTLE_ENDIAN
# i386 GNU/Linux: OSC_HOST_LITTLE_ENDIAN


ENDIANESS=OSC_HOST_LITTLE_ENDIAN
#ENDIANESS=OSC_HOST_BIG_ENDIAN


CXX = g++
INCLUDES = -I./
COPTS  = -arch i386 -arch ppc -Wall -O3
CDEBUG = -Wall -g 
CXXFLAGS = $(COPTS) $(INCLUDES) -D$(ENDIANESS)

PREFIX = /usr
INSTALL = /usr/bin/install -c

#Name definitions
UNITTESTS=OscUnitTests
SEND=OscSendTests
RECEIVE=OscReceiveTest
DUMP=OscDump

INCLUDEDIR = oscpack
LIBNAME = liboscpack
#OSX##LIBSONAME = $(LIBNAME).so
LIBSONAME = $(LIBNAME).dylib
LIBFILENAME = $(LIBSONAME).1.0.2

#Test and example source
SENDSOURCES = ./tests/OscSendTests.cpp ./osc/OscOutboundPacketStream.cpp ./osc/OscTypes.cpp ./ip/posix/NetworkingUtils.cpp ./ip/posix/UdpSocket.cpp ./ip/IpEndpointName.cpp
SENDOBJECTS = $(SENDSOURCES:.cpp=.o)

RECEIVESOURCES = ./tests/OscReceiveTest.cpp ./osc/OscTypes.cpp ./osc/OscReceivedElements.cpp ./osc/OscPrintReceivedElements.cpp ./ip/posix/NetworkingUtils.cpp ./ip/posix/UdpSocket.cpp
RECEIVEOBJECTS = $(RECEIVESOURCES:.cpp=.o)

DUMPSOURCES = ./examples/OscDump.cpp ./osc/OscTypes.cpp ./osc/OscReceivedElements.cpp ./osc/OscPrintReceivedElements.cpp ./ip/posix/NetworkingUtils.cpp ./ip/posix/UdpSocket.cpp
DUMPOBJECTS = $(DUMPSOURCES:.cpp=.o)

UNITTESTSOURCES = ./tests/OscUnitTests.cpp ./osc/OscOutboundPacketStream.cpp ./osc/OscTypes.cpp ./osc/OscReceivedElements.cpp ./osc/OscPrintReceivedElements.cpp
UNITTESTOBJECTS = $(UNITTESTSOURCES:.cpp=.o)

#Library sources
LIBSOURCES = ./ip/IpEndpointName.cpp \
	./ip/posix/NetworkingUtils.cpp ./ip/posix/UdpSocket.cpp\
	./osc/OscOutboundPacketStream.cpp ./osc/OscPrintReceivedElements.cpp ./osc/OscReceivedElements.cpp ./osc/OscTypes.cpp
LIBOBJECTS = $(LIBSOURCES:.cpp=.o)

all:	unittests send receive dump

unittests : $(UNITTESTOBJECTS)
	@if [ ! -d bin ] ; then mkdir bin ; fi
	$(CXX) -o bin/$(UNITTESTS) $+ $(LIBS) 
send : $(SENDOBJECTS)
	@if [ ! -d bin ] ; then mkdir bin ; fi
	$(CXX) -o bin/$(SEND) $+ $(LIBS) 
receive : $(RECEIVEOBJECTS)
	@if [ ! -d bin ] ; then mkdir bin ; fi
	$(CXX) -o bin/$(RECEIVE) $+ $(LIBS) 
dump : $(DUMPOBJECTS)
	@if [ ! -d bin ] ; then mkdir bin ; fi
	$(CXX) -o bin/$(DUMP) $+ $(LIBS) 

clean:
	rm -rf bin $(UNITTESTOBJECTS) $(SENDOBJECTS) $(RECEIVEOBJECTS) $(DUMPOBJECTS) $(LIBOBJECTS) $(LIBFILENAME) include lib oscpack &> /dev/null

$(LIBFILENAME): $(LIBOBJECTS)
	@#GNU/Linux case
	#OSX##$(CXX) -shared -Wl,-soname,$(LIBSONAME) -o $(LIBFILENAME) $(LIBOBJECTS) -lc
	@#Mac OS X case
	$(CXX) -arch i386 -arch ppc -dynamiclib -Wl,-install_name,$(LIBSONAME) -o $(LIBFILENAME) $(LIBOBJECTS) -lc
	
lib: $(LIBFILENAME)

#Installs the library on a system global location
install: lib
	@$(INSTALL) -m 755 $(LIBFILENAME) $(PREFIX)/lib/$(LIBFILENAME)
	@ln -s -f $(PREFIX)/lib/$(LIBFILENAME) $(PREFIX)/lib/$(LIBSONAME) 
	@mkdir  -p $(PREFIX)/include/oscpack/ip $(PREFIX)/include/oscpack/osc
	@$(INSTALL) -m 644 ip/*.h $(PREFIX)/include/oscpack/ip
	@$(INSTALL) -m 644 osc/*.h $(PREFIX)/include/oscpack/osc
	@echo "SUCCESS! oscpack has been installed in $(PREFIX)/lib and $(PREFIX)/include/ospack/"
	@echo "now doing ldconfig..."
	#OSX##@ldconfig

#Installs the include/lib structure locally
install-local: lib
	@echo ""
	@echo " Installing in local directory <$(INCLUDEDIR)>"
	@echo "   > Creating symbolic link"
	@ln -s $(LIBFILENAME) $(LIBSONAME)
	@echo "   > Creating directories"
	@mkdir -p oscpack/lib
	@mkdir -p oscpack/include/ip
	@mkdir -p oscpack/include/osc
	@echo "   > Copying files"
	@mv $(LIBFILENAME) $(LIBSONAME) oscpack/lib
	@cp ip/*.h oscpack/include/ip
	@cp osc/*.h oscpack/include/osc
	@echo ""
	@echo "   > Success!"

=== debian/changelog ===
oscpack (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #609341)  

 -- Monty Taylor <mordred@inaugust.com>  Thu, 26 Aug 2010 23:00:35 -0700

=== debian/control ===
Source: oscpack
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.audiomulch.com/~rossb/code/oscpack/
Vcs-Browser: http://bazaar.launchpad.net/~mordred/debian/sid/oscpack/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~mordred/debian/sid/oscpack/trunk

Package: liboscpack-dev
Section: libdevel
Architecture: any
Depends: liboscpack1 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets - dev files
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package contains files needed for development.
 
Package: liboscpack-dbg
Section: debug
Architecture: any
Priority: extra
Depends: liboscpack1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets - debug symbols
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package contains debug symbols.

Package: liboscpack1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@

override_dh_auto_build:
	make lib

override_dh_strip:
	dh_strip --dbg-package=liboscpack-dbg

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_install:
	mkdir -p ${TMP}/usr/lib
	mkdir -p ${TMP}/usr/include/oscpack/ip
	mkdir -p ${TMP}/usr/include/oscpack/osc
	cp liboscpack.so.1.0.2 ${TMP}/usr/lib
	ln -s liboscpack.so.1.0.2 ${TMP}/usr/lib/liboscpack.so.1
	ln -s liboscpack.so.1.0.2 ${TMP}/usr/lib/liboscpack.so
	cp ip/*.h ${TMP}/usr/include/oscpack/ip
	cp osc/*.h ${TMP}/usr/include/oscpack/osc

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

## oscpack 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(TestOscpack)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})

# separate versions of NetworkingUtils.cpp and UdpSocket.cpp are provided for Win32 and POSIX
# the IpSystemTypePath selects the correct ones based on the current platform

IF(WIN32)
 set(IpSystemTypePath ip/win32)
 set(LIBS ${LIBS} Ws2_32 winmm)
ELSE(WIN32)
 set(IpSystemTypePath ip/posix)
ENDIF(WIN32)

ADD_LIBRARY(oscpack 

ip/IpEndpointName.h
ip/IpEndpointName.cpp

ip/NetworkingUtils.h
${IpSystemTypePath}/NetworkingUtils.cpp

ip/UdpSocket.h
${IpSystemTypePath}/UdpSocket.cpp

ip/PacketListener.h
ip/TimerListener.h

osc/OscTypes.h
osc/OscTypes.cpp 
osc/OscHostEndianness.h
osc/OscException.h
osc/OscPacketListener.h
osc/MessageMappingOscPacketListener.h
osc/OscReceivedElements.h
osc/OscReceivedElements.cpp
osc/OscPrintReceivedElements.h
osc/OscPrintReceivedElements.cpp
osc/OscOutboundPacketStream.h
osc/OscOutboundPacketStream.cpp

)


ADD_EXECUTABLE(OscUnitTests tests/OscUnitTests.cpp)
TARGET_LINK_LIBRARIES(OscUnitTests oscpack ${LIBS})

ADD_EXECUTABLE(OscSendTests tests/OscSendTests.cpp)
TARGET_LINK_LIBRARIES(OscSendTests oscpack ${LIBS})

ADD_EXECUTABLE(OscReceiveTest tests/OscReceiveTest.cpp)
TARGET_LINK_LIBRARIES(OscReceiveTest oscpack ${LIBS})


ADD_EXECUTABLE(OscDump examples/OscDump.cpp)
TARGET_LINK_LIBRARIES(OscDump oscpack ${LIBS})

ADD_EXECUTABLE(SimpleReceive examples/SimpleReceive.cpp)
TARGET_LINK_LIBRARIES(SimpleReceive oscpack ${LIBS})

ADD_EXECUTABLE(SimpleSend examples/SimpleSend.cpp)
TARGET_LINK_LIBRARIES(SimpleSend oscpack ${LIBS})


if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -pedantic")
endif()

=== debian/changelog ===
oscpack (1.1.0-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.0.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Update watch file format version to 4.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary get-orig-source-target.
  * Drop transition for old debug package migration.
  * Fixed FTCBFS: Let dh_auto_build pass cross tools to
    make (Closes: #940657).
  * Added 1040-misleading-indentation.patch to get rid
    of compiler warning.
  * Updated homepage url and upstream contact in d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Nov 2024 15:09:08 +0100

oscpack (1.1.0-3) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields pointing to shutdown repository.

 -- Bastian Germann <bage@debian.org>  Fri, 17 Feb 2023 10:49:49 +0100

oscpack (1.1.0-2) unstable; urgency=medium

  * QA upload.
  * New patch big-endian-FTBFS.patch to fix FTBFS on big endian.

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2017 09:24:16 +0200

oscpack (1.1.0-1) unstable; urgency=medium

  * QA upload
  * Set Maintainer to QA Group.
  * New upstream version.
  * Patches:
     - Refreshed patch fpic.diff and soname.diff
     - New patch use-system-cflags -- do not drop debhelper's CXXFLAGS in the
       Makefile. Also pass LDFLAGS to the linker.
     - Drop patch newer-gcc.diff -- no longer needed
  * d/control
     - Change homepage to new location.
     - Bump S-V to 4.0.0 -- no changes required
     - Fix lintian warning description-synopsis-starts-with-article --
       dropping the "A" from the short description
     - Move packaging repository to collab-maint
  * Change to automatic debug package
     - remove dbg pacakge from d/control and update d/rules
  * Make package multiarch.
  * Bump d/compat to level 10 and so B-D on debhelper>10
  * Update d/rules install override for new library name
  * Update d/copyright
     - with verbatim copy of upstream's license
     - newer Machine-readable format specifcation,
     - update copyright years,
     - add myself to the debian/* section.
     - reorder paragraphs as debian/* section would be not ignored otherwise
  * Override obsolete-url-in-packaging -- the source is hosted at
    code.google.com
  * Enable hardening

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Jul 2017 01:31:17 +0200

=== debian/control ===
Source: oscpack
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Section: libs
Homepage: http://www.rossbencina.com/code/oscpack
Vcs-Browser: https://salsa.debian.org/debian/oscpack
Vcs-Git: https://salsa.debian.org/debian/oscpack.git

Package: liboscpack-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends: libasound2-dev,
         liboscpack1 (= ${binary:Version}),
         ${misc:Depends},
Description: C++ library for packing and unpacking OSC packets - dev files
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package contains files needed for development.

Package: liboscpack1
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: C++ library for packing and unpacking OSC packets
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- lib

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_install:
	mkdir -p ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p ${TMP}/usr/include/oscpack/ip
	mkdir -p ${TMP}/usr/include/oscpack/osc
	cp liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/liboscpack.so.1
	ln -s liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/liboscpack.so
	cp ip/*.h ${TMP}/usr/include/oscpack/ip
	cp osc/*.h ${TMP}/usr/include/oscpack/osc

=== debian/watch ===
version=4
http://www.audiomulch.com/~rossb/code/oscpack http://www.audiomulch.com/~rossb/code/oscpack/oscpack_(.*).zip
